* Encoding: windows-1252.
/*********************************************************************************************************/
/*                                                                                                                                                                           */
/* This SPSS program will extract the United States Sentencing Commission's Federal                 */
/*  Escape Offenses report file and create a SPSS dataset.                                                                    */
/*                                                                                                                                                                           */
/* Prior to running the program you must update the DAT file location in the                                       */
/* FILE HANDLE DATA / NAME line to correspond to the location of the file on your                           */
/* computer.                                                                                                                                                       */
/*                                                                                                                                                                          */
/* You must also update the file output location in the SAVE OUTFILE statement at the                  */
/* end of the program to correspond to the folder you want the output file to be located.                  */
/*                                                                                                                                                                          */
/*********************************************************************************************************/

/* The following line should contain the complete path and name of your raw data file */
/* The last line of this file contains the path to your output '.sav' file */

FILE HANDLE DATA / NAME=".\ussc_escape_public.dat" ENCODING="CP1252" / LRECL=447 .

DATA LIST FILE=DATA/
   SENTTOT 1-8              USSCIDN 9-15             ACCAP 16-18           
   ACCTRESP 19-21           AGE 22-24                CAROFFAP 25-27        
   CRIMPTS 28-30            DISTRICT 31-33           MONSEX 34-36          
   NEWCIT 37-39             NEWEDUC 40-42            NEWRACE 43-45         
   NOCOMP 46-48             NOCOUNTS 49-51           NOUSTAT 52-54         
   OFFGUIDE 55-57           PRISDUM 58-60            SENTPTS 61-63         
   SENTRNGE 64-66           SOURCES 67-69            TOTCHPTS 70-72        
   XCRHISSR 73-75           XFOLSOR 76-78            PROBATN 79-82         
   GDLINEHI 83-87 (A)       FY 88-91                 ESCROLE 92-94         
   SUPERVISION 95-97        UFORCE 98-100            TIMEFORC 101-103      
   FACILITYLEV 104-106      FENCE 107-109            CONFDATE 110-120 (DATE)
   LOCATE 121-123           NEWCRIME1 124-126        NEWCRIME2 127-129     
   NEWCRIME3 130-132        NEWCRIME4 133-135        NEWCRIME5 136-138     
   OTHCRIME 139-141         OTHTYPE1 142-144         OTHTYPE2 145-147      
   OTHTYPE3 148-150         OTHTYPE4 151-153         FALSENAME 154-156     
   NOARRIVAL 157-159        STAT18751 160-162        STAT18752 163-165     
   STAT18753 166-168        STAT18755 169-171        STAT18756 172-174     
   STAT18757 175-177        STAT281826 178-180       STAT282902 181-183    
   STAT184 184-186          STAT181071 187-189       STAT181072 190-192    
   STAT184082 193-195       STAT18371 196-198        STAT18912 199-201     
   ANYVIOLENTHX 202-204     CNTVIOLENTHX 205-207     P_HOMICIDE 208-210    
   P_RAPE 211-213           P_ROBBERY 214-216        P_ASSAULT 217-219     
   P_OTHVIOLENT 220-222     P_BURGLARY 223-225       P_LARCENY 226-228     
   P_FRAUD 229-231          P_OTHPROP 232-234        P_DRUGTRAFF 235-237   
   P_DRUGPOSS 238-240       P_OTHDRUG 241-243        P_WEAPON 244-246      
   P_DUI 247-249            P_IMMIG 250-252          P_PUBORDER 253-255    
   P_OTHER 256-258          P_TRAFFIC 259-261        P_ESCAPE 262-264      
   PREVIOUS_GDLINEHI 265-270 (A)   PREVIOUS_OFFTYPE2 271-273
   ESCAPEBOL 274-276        ANYFLIGHT 277-279        FIRSTSOC 280-282      
   SECONDSOC 283-285        THIRDSOC 286-288         FOURTHSOC 289-291     
   M_ESCSTATUS 292-299      M_ATRRC 300-307          M_UNTILRELEASE 308-315
   RRCSTAY 316-318          NEW_HOMICIDE 319-321     NEW_RAPE 322-324      
   NEW_ROBBERY 325-327      NEW_ASSAULT 328-330      NEW_OTHVIOLENT 331-333
   NEW_BURGLARY 334-336     NEW_LARCENY 337-339      NEW_FRAUD 340-342     
   NEW_OTHPROP 343-345      NEW_DRUGTRAFF 346-348    NEW_DRUGPOSS 349-351  
   NEW_OTHDRUG 352-354      NEW_WEAPON 355-357       NEW_DUI 358-360       
   NEW_IMMIG 361-363        NEW_PUBORDER 364-366     NEW_OTHER 367-369     
   NEW_TRAFFIC 370-372      NEW_ESCAPE 373-375       NEW_VIOLENT 376-378   
   OTH_HOMICIDE 379-381     OTH_RAPE 382-384         OTH_ROBBERY 385-387   
   OTH_ASSAULT 388-390      OTH_OTHVIOLENT 391-393   OTH_BURGLARY 394-396  
   OTH_LARCENY 397-399      OTH_FRAUD 400-402        OTH_OTHPROP 403-405   
   OTH_DRUGTRAFF 406-408    OTH_DRUGPOSS 409-411     OTH_OTHDRUG 412-414   
   OTH_WEAPON 415-417       OTH_DUI 418-420          OTH_IMMIG 421-423     
   OTH_PUBORDER 424-426     OTH_OTHER 427-429        OTH_TRAFFIC 430-432   
   OTH_ESCAPE 433-435       OTH_VIOLENT 436-438      ANYCRIME 439-441      
   CRIMEONESCAPE 442-444    SAMECRIME 445-447 .   


FORMATS
  SENTTOT (F9.2) /         M_ESCSTATUS (F9.2) /     M_ATRRC (F9.2) /       
  M_UNTILRELEASE (F9.2) / .


SAVE OUTFILE='.\ussc_escape_public.sav'.
